//go:build !dev
// +build !dev

package main

import (
	"embed"
	"io/fs"
	"log"
	"net/http"
)

//go:embed ui/build/* ui/build/css/* ui/build/surveys/* ui/build/_app/* ui/build/_app/immutable/* ui/build/_app/immutable/pages/* ui/build/_app/immutable/pages/surveys/* ui/build/_app/immutable/pages/surveys/_sid_/* ui/build/_app/immutable/pages/surveys/_sid_/responses/* ui/build/_app/immutable/pages/grades/* ui/build/_app/immutable/pages/works/* ui/build/_app/immutable/pages/works/_wid_/* ui/build/_app/immutable/pages/users/* ui/build/_app/immutable/pages/users/_uid_/* ui/build/_app/immutable/pages/users/_uid_/surveys/* ui/build/_app/immutable/chunks/* ui/build/_app/immutable/assets/* ui/build/img/* ui/build/works/*
var _assets embed.FS

var Assets http.FileSystem

func init() {
	sub, err := fs.Sub(_assets, "ui/build")
	if err != nil {
		log.Fatal("Unable to cd to ui/build/ directory:", err)
	}
	Assets = http.FS(sub)
}

func sanitizeStaticOptions() error {
	return nil
}
